.main-tit,
.sub-tit {
    text-align: center;
}

.sub-tit {
    color: #666666;
    line-height: 22px;
    text-align: center;
    max-width: 778px;
    margin: 10px auto 37px;
    max-height: 66px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    text-overflow: ellipsis;
}






.about-hotel {
    padding: 80px 0 91px;
}

.about-hotel .hotel-intr {
    width: 50%;
    flex-shrink: 0;
}

.about-hotel .hotel-intr .inner {
    max-width: 540px;
}

.about-hotel .hotel-intr .des {
    margin: 30px 0;
    text-align: justify;
}


.about-hotel .hotel-intr .lights p {
    margin-bottom: 16px;
}

.about-hotel .hotel-intr .lights p::before {
    content: '';
    width: 8px;
    height: 8px;
    background: #9A9A9A;
    border-radius: 50%;
    margin-right: 14px;
}

.about-hotel .hotel-pic {
    width: 649px;
    z-index: 2;
    margin-left: 50px;
    flex-shrink: 0;
}

.about-hotel .hotel-pic::after {
    content: '';
    width: 100%;
    height: 100%;
    background: #F8F8F8;
    position: absolute;
    top: -27px;
    right: -27px;
    z-index: -1;
}




.room-recommendation {
    padding: 65px 0 93px;
    background: #f8f8f8;
}

.room-recommendation .room-intr {
    max-width: 550px;
    min-width: 358px;
    padding-right: 80px;
}

.room-recommendation .room-type {
    padding: 32px 0;
    /*margin-bottom: 50px;*/
    cursor: pointer;
    align-items: center;
}

.room-recommendation .room-type:last-child {
    margin-bottom: 0;
}

.room-recommendation .room-type.active {
    border-bottom: 1px solid #DADADA;
}

.room-recommendation .room-type img {
    width: 100%;
    display: block
}

.room-recommendation .room-type .num {
    /*width: 84px;*/
    width: 38px;
    margin-right: 22px;

}

/*.room-recommendation .room-type .text h5 {*/
/*    margin-bottom: 12px;*/
/*}*/
.room-recommendation .room-type .text h5+div {
    /*text-align: justify;*/
    line-height: 1.4;
}
.room-recommendation .room-type.active .text h5 {
    color: #E0731B;
}

.room-recommendation .room-type .text p {
    color: #555555;
    line-height: 20px;
    max-width: 353px;
}

.room-recommendation .room-type .arrow {
    /*width: 56px;*/
    width: 38px;
    margin-left: 15px;
    opacity: 0;
}

.room-recommendation .room-type.active .arrow {
    opacity: 1;
}
.room-recommendation .recommendation{
     width: calc((100% - 1200px) / 2 + 1200px);
}
.room-recommendation .room-img {
    flex: 1;
}
.room-recommendation .room-pic {
    display: none;
    /*top:0;*/
    /*right: 0;*/
    /*width: 50%;*/
    /*overflow: hidden;*/
}
.room-recommendation .room-pic.active {
    display: block;
}
.room-recommendation .room-pic .img-wrap,
.room-recommendation .room-pic .img-wrap .img-inner {
    min-height: 100%;
}

.room-recommendation .room-pic .img-tit {
    width: 100%;
    background: #D5770B;
    /*left: 0;*/
    /*bottom: 0;*/
    padding: 20px 66px 18px;
    color: #fff;
}

.room-recommendation .room-pic .img-tit::after {
    content: '';
    position: absolute;
    left: 76px;
    top: -18px;
    width: 0;
    height: 0;
    border-left: 18px solid transparent;
    border-right: 18px solid transparent;
    border-bottom: 25px solid #D5770B;
}

.room-recommendation .room-pic .img-tit h3 {
    color: #fff;
}

.room-recommendation .room-pic .img-tit h3::before {
    content: '';
    display: block;
    width: 32px;
    height: 3px;
    background: #FFFFFF;
    margin-bottom: 5px;
}

.room-recommendation .room-pic .img-tit p {
    font-size: 20px;
}

.room-recommendation .room-pic .img-tit p *{
    background-color: transparent !important;
    color: #fff !important;
    
}



.room-recommendation .room-list {
    display: none;
}

.room-recommendation .room-list .room-item {
    box-shadow: 1px 1px 8px 0px rgba(195, 195, 195, 0.5);
    margin-bottom: 28px;
}

.room-recommendation .room-list .room-info {
    padding: 24px 15px;
}

.room-recommendation .room-list .room-info-title {
    font-size: 16px;
    margin-bottom: 10px;
}

.room-recommendation .room-list .room-info-des {
    color: #666;
    font-size: 14px !important;
}


.banquet-hall {
    padding: 65px 114px;
}

.banquet-hall #banquet-swiper {
    width: 100%;
    position: relative;
    background: #fff;
    border-radius: 0 0 6px 6px;  
}

.banquet-hall #banquet-swiper .img-tit {
    height: 100px;
    padding: 25px 40px;
    color: #333333;
    box-shadow: 3px 3px 15px 0px rgba(185, 181, 157, 0.5);
    border-radius: 0 0 6px 6px;
    border: 1px solid #E8912D;
}

.banquet-hall .banquet-btn {
    position: absolute;
    right: 0;
    bottom: 95px;
    z-index: 2;
}

.banquet-hall .banquet-btn img {
    width: 24px;
}

.banquet-hall .banquet-button-next,
.banquet-hall .banquet-button-prev {
    width: 40px;
    height: 40px;
    background: #D5770B;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}


.banquet-hall .swiper-button-disabled {
    background: #C9C7C7;
}



.dining-facilities {
    background: #f8f8f8;
    padding: 93px 0 93px;
}

.dining-card {
    width: 856px;
    background: #fff;
    box-shadow: 2px 2px 12px 0px rgba(180, 180, 180, 0.5);
    border-radius: 4px;
}

.dining-card .card-item {
    padding: 33px 45px 40px;
    background: #fff;
}

.dining-card .card-item .card-item-info h4 {
    margin-bottom: 10px;
}

.dining-card .card-item .card-item-info h4+div {
    color: #666;
    margin-bottom: 20px;
}

.timeline {
    width: 312px;
    background: rgba(255,239,218,.7) url(../images/hotel-dining-bg.png) no-repeat left bottom / 100% auto;
    padding: 43px 50px;
    margin-left: 40px;
    border-radius: 4px;
    overflow: hidden;
}

.timeline .timeline-item {
    padding: 35px 0;
    cursor: pointer;
}

.timeline .timeline-inner {
    position: relative;
}

.timeline .timeline-inner::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 1px;
    height: 100%;
    background: #EBD2B1;
}

.timeline .timeline-item-inner {
    padding-left: 28px;
    position: relative;
}

.timeline .timeline-item-inner::after {
    content: '';
    position: absolute;
    background: #D5770B;
    width: 5px;
    height: 0;
    left: -2px;
    top: 50%;
    transform: translateY(-50%);
    transition: height .2s ease-in-out;
}

.timeline .timeline-item span {
    display: block;
    font-size: 14px;
    line-height: 1;
}

.timeline .timeline-item .zh {
    font-size: 24px;
}

.timeline .timeline-item:hover span,
.timeline .timeline-item.current span {
    color: #D5770B;
}

.timeline .timeline-item:hover .timeline-item-inner::after,
.timeline .timeline-item.current .timeline-item-inner::after {
    height: 100%;
}



.facilities {
    padding: 60px 0;
    background: #D5770B;
}

.facilities .main-tit,
.facilities .sub-tit {
    color: #fff;
}

#facilities-swiper .item-slide {
    width: 57%;
    padding: 0 2%
}

#facilities-swiper .item {
    scale: 0.85;
}

#facilities-swiper .item .inner {
    padding: 6% 0 9% 0;
}

#facilities-swiper .swiper-slide .inner {
    position: relative;
}

#facilities-swiper .item .item-tit {
    width:60%;
    opacity: 0;
    margin-bottom: 20px;
}

#facilities-swiper .item .item-tit .subtitle{
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical; 
    overflow: hidden;
    text-overflow: ellipsis;
    min-height: 48px;
}

#facilities-swiper .item::after {
    content: '';
    width: 69%;
    height: 100%;
    background: #fff;
    position: absolute;
    left: 0;
    top: 0;
    z-index: -1;
    opacity: 0;
}

#facilities-swiper .swiper-slide-active .item,
#facilities-swiper .swiper-slide-duplicate-active .item {
    scale: 1
}

#facilities-swiper .swiper-slide-active .item .inner {
    margin-left: 6%;
}

#facilities-swiper .swiper-slide-active .item::after,
#facilities-swiper .swiper-slide-active .item .item-tit {
    opacity: 1;
}

#facilities-swiper .facilities-button-prev,
#facilities-swiper .facilities-button-next {
    width: 44px;
    height: 44px;
    border: 2px solid #FFFFFF;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 99;
    cursor: pointer;
}

#facilities-swiper .facilities-button-prev {
    left: 18%;
}

#facilities-swiper .facilities-button-next {
    right: 18%;
}

#facilities-swiper .swiper-pagination-bullet {
    width: 30px;
    height: 8px;
    background: #E2E1E1;
    border-radius: 0;
    opacity: 1;

}
#facilities-swiper.swiper-container-horizontal>.swiper-pagination-bullets, 
#facilities-swiper .swiper-pagination-custom, .swiper-pagination-fraction {
     width: auto;
     left: 40%;
}
#facilities-swiper .swiper-pagination-bullet-active {
    background: #D5770B;

}

#facilities-swiper .swiper-pagination-bullets {
    bottom: 63px;
}



@media (max-width: 768px) {

    html,
    body {
        font-size: 14px;
        line-height: 1.7;
    }

    .main-tit {
        line-height: 1;
        font-size: 22px;
        text-align: left;
        padding-bottom: 20px;
        position: relative;
    }

    .main-tit:after {
        content: '';
        width: 44px;
        height: 2px;
        background: #D5770B;
        position: absolute;
        bottom: 0;
        left: 0;
    }

    .sub-tit {
        text-align: left;
        color: #333330;
        margin: 20px auto 25px;
    }

    .about-hotel {
        padding: 20px 0 40px;
    }

    .about-hotel-inner {
        flex-direction: column;
    }

    .about-hotel .hotel-intr {
        width: 100%;
    }

    .about-hotel .hotel-intr .des span {
        font-size: 14px !important;
    }

    .about-hotel .hotel-pic {
        width: 100%;
        margin-left: 0;
    }

    .about-hotel .hotel-pic::after {
        display: none;
    }


    .room-recommendation {
        padding: 0 15px;
        background: #fff;
    }

    .room-recommendation .room-list {
        display: block;
    }

    .room-recommendation .room-list .room-info-title {
        font-size: 18px;
    }

    .banquet-hall {
        padding: 20px 0 45px;
    }

    .banquet-hall #banquet-swiper {
        box-shadow: 3px 3px 15px 0px rgba(185, 181, 157, 0.5);
    }

    .banquet-hall #banquet-swiper .img-tit {
        height: auto;
        padding: 20px 15px;
        color: #666;
        border: 0;
        box-shadow: none;
    }

    .banquet-hall .banquet-btn {
        position: static;
        justify-content: center;
        margin-top:23px;
    }

    .banquet-hall  .banquet-button-next, 
    .banquet-hall  .banquet-button-prev {
        width: 28px;
        height: 28px;
        border-radius: 50%;
        margin: 0 12px;
    }
    .banquet-hall .banquet-btn img {
        width: 18px;
    }





    .dining-facilities {
        background: #f8f8f8;
        padding: 36px 0;
    }

    .dining-facilities .dining-facilities-inner {
        flex-direction: column-reverse;
    }

    .timeline {
        width: 100%;
        background: #fff;
        padding: 0 15px;
        margin: 0 -15px;
        border-radius: 0;
        overflow: hidden;
        box-sizing: content-box;
    }

    .timeline .timeline-inner {
        display: flex;
        overflow-X:auto;
        -ms-overflow-style: none; /* IE and Edge */
        scrollbar-width: none; /* Firefox */
    }
    
    /* 隐藏滚动条但保留滚动功能 */
    .timeline .timeline-inner::-webkit-scrollbar {
        display: none; /* Chrome, Safari, Edge */
    }


    .timeline .timeline-inner::before {
        display: none;
    }

    .timeline .timeline-item {
        padding: 17px 0;
        cursor: pointer;
        
    }
    .timeline .timeline-item+.timeline-item{
        margin-left: 25px;
    }

    .timeline .timeline-item-inner {
        padding-left: 0;
    }

    .timeline .timeline-item-inner::after {
        content: '';
        width: 0;
        height: 0;
        left: 50%;
        top: calc(100% + 15px);
        transform: translate(-50%, 0);
    }

    .timeline .timeline-item .zh {
        font-size: 16px;
        color: #666;
        margin-bottom: 0;
        white-space: nowrap;
    }


    .timeline .timeline-item:hover .timeline-item-inner::after,
    .timeline .timeline-item.current .timeline-item-inner::after {
        width: 24px;
        height: 2px;
        opacity: 1;
    }

    .dining-card {
        width: 100%;
        border-radius: 0;
        margin-top: 30px;
    }

    .dining-card .card-item {
        width: 100%;
        padding: 0;
        display: flex;
        flex-direction: column-reverse;
    }

    .dining-card .card-item .card-item-info {
        padding: 20px 15px;
    }

    .dining-card .card-item .card-item-info h4 {
        font-size: 18px;
    }

    .facilities {
        padding: 36px 15px;
    }

    .facilities .main-tit:after {
        background: #fff;
    }

    #facilities-swiper .item-slide {
        width: 100%;
        padding: 0;
    }

    #facilities-swiper .item::after {
        width: 100%;
        ;
    }

    #facilities-swiper .item .inner {
        padding: 0;
        display: flex;
        flex-direction: column-reverse;
    }

    #facilities-swiper .swiper-slide-active .item .inner {
        margin-left: 0;
    }

    #facilities-swiper .item .item-tit {
        width: 100%;
        padding: 25px 15px;
    }

    #facilities-swiper .item .item-tit h4 {
        font-size: 18px;
        margin-bottom:5px;
    }

    #facilities-swiper .facilities-button-prev,
    #facilities-swiper .facilities-button-next,
    #facilities-swiper .swiper-pagination-bullets {
        display: none;
    }

}









